import { INgxBindIODirective } from '../interfaces/ngx-bind-io-directive.interface';
export declare class NgxBindOutputsService {
    /**
     * BindOutputs Directive
     */
    bindOutputs(directive: Partial<INgxBindIODirective>): void;
    /**
     * Outputs
     */
    checkKeyNameToOutputBind(directive: Partial<INgxBindIODirective>, parentKey: string, key: string): boolean;
    checkOutputToBind(directive: Partial<INgxBindIODirective>, parentKey: string, key: string): boolean;
    bindOutput(directive: Partial<INgxBindIODirective>, parentKey: string, key: string): void;
    /**
     * Utils
     */
    getOutputs(directive: Partial<INgxBindIODirective>): {
        parentKeys: string[];
        keys: string[];
    };
}
